StoreClosedException (JavaMail API documentation)
Date: 2019-08-31

javax.mail

## Class StoreClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.StoreClosedException

- All Implemented Interfaces:
    java.io.Serializable

      public class StoreClosedException
      extends MessagingException

  This exception is thrown when a method is invoked on a Messaging object and the Store that owns that object has died due to some reason. This exception should be treated as a fatal error; in particular any messaging object belonging to that Store must be considered invalid.

  The connect method may be invoked on the dead Store object to revive it.

  The getMessage() method returns more detailed information about the error that caused this exception.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreClosedException(Store store)` Constructs a StoreClosedException with no detail message.
    `StoreClosedException(Store store, java.lang.String message)` Constructs a StoreClosedException with the specified detail message.
    `StoreClosedException(Store store, java.lang.String message, java.lang.Exception e)` Constructs a StoreClosedException with the specified detail message and embedded exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Store` | `getStore()` Returns the dead Store object

    - ### Methods inherited from class javax.mail.MessagingException

      `getCause, getNextException, setNextException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreClosedException

          public StoreClosedException(Store store)

      Constructs a StoreClosedException with no detail message.
      Parameters:
        `store` - The dead Store object

    - #### StoreClosedException

          public StoreClosedException(Store store,
                                      java.lang.String message)

      Constructs a StoreClosedException with the specified detail message.
      Parameters:
        `store` - The dead Store object
        `message` - The detailed error message

    - #### StoreClosedException

          public StoreClosedException(Store store,
                                      java.lang.String message,
                                      java.lang.Exception e)

      Constructs a StoreClosedException with the specified detail message and embedded exception. The exception is chained to this exception.
      Parameters:
        `store` - The dead Store object
        `message` - The detailed error message
        `e` - The embedded exception
      Since:
        JavaMail 1.5

  - ### Method Detail

    - #### getStore

          public Store getStore()

      Returns the dead Store object

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.